# Ext JS

## [About Ext JS](http://www.sencha.com/)
Ext JS is a comprehensive and secure JavaScript framework with a powerful library of over 140 enterprise-grade UI components such as Data Grids, Pivot Grids, Trees, Charts, D3 Visualizations, Forms, Calendars, Buttons, Menus and many more. Ext JS feature-rich components are pre-built and tested and work across browsers and platforms. Packed with all the features you ever need, with Ext JS you’ll never have to go out of the framework to create and deploy stunning web and mobile applications.

## Ext JS 30-day Free Trial
The limited, 30-day free trial offers full access to the Ext JS framework, components and tools.  Try it out and see why it’s the most comprehensive framework and component suite out there! 

## Installation and Usage
The Ext JS app generator CLI tool [@sencha/ext-gen](https://www.npmjs.com/package/@sencha/ext-gen) is used to generate Ext JS applications. 

### Install
``` 
npm install -g @sencha/ext-gen
```

### Generate Quick Start
```
ext-gen app -a
```

### Open and explore your new app
```
cd ./my-app
npm start
```

### Options
```
ext-gen --help
``` 

### Next Steps
[Explore the Getting Started with NPM Guide](https://docs.sencha.com/extjs/7.2.0/guides/getting_started/getting_started_with_npm.html)

## Ext JS Data Grid Benchmarks
Ext JS Data Grid is over `300x faster` than most leading Grid vendors. [Take a look at the benchmark metrics and results](https://www.sencha.com/blog/ext-js-performance-benchmarks/) to see how Ext JS Grid outperforms ag-grid, KendoUI, Grapecity and Syncfusion data grids.  

## Guides and Helpful Resources
Ext JS has extensive documentation and getting started guides. 

### [Documentation](https://docs.sencha.com/extjs/)
* [Introduction to App Architecture](https://docs.sencha.com/extjs/7.2.0/guides/application_architecture/application_architecture.html)
* [Adding Components to the Ext JS Grid
Resources](https://docs.sencha.com/extjs/7.2.0/guides/components/widgets_widgets_columns.html)

Check out our [resources](https://www.sencha.com/resources/) page to get quick access to videos, tutorials, webinars and more.

* [Ext JS Data Grid - Features & Examples](https://www.sencha.com/grid)
* [Ext JS Grid Benchmark Study](https://www.sencha.com/blog/ext-js-performance-benchmarks/)
* [Ext JS Sample Applications](https://examples.sencha.com/extjs/7.2.0/)
* [Ext JS Component Examples - Classic Toolkit](https://examples.sencha.com/extjs/7.2.0/examples/kitchensink/?classic#all)
* [Ext JS Component Examples - Modern Toolkit](https://examples.sencha.com/extjs/7.2.0/examples/kitchensink/?modern#all) 

## Additional Resources
* Official Website: https://www.sencha.com/products/extjs/
* Documentation: https://docs.sencha.com/extjs/
* Trial Download: https://www.sencha.com/products/extjs/evaluate/
* Licensing: https://www.sencha.com/store/extjs/#perpetual
* EULA: https://www.sencha.com/legal/sencha-software-license-agreement/
* Support: https://www.sencha.com/company/contact/
* Community: https://stackoverflow.com/questions/tagged/extjs

## More about the Ext JS 30-Day Trial
Interested in trying out the additional tools included in your trial?

Fill out the [zip trial form](https://www.sencha.com/products/extjs/evaluate/) to get the zip downloads of add-on premium components: 
* D3 Adapter
* Pivot Grid
* Calendar
* Exporter 

Other design tools:  
* Themer
* Architect
* ExtGen
* ExtBuild
* JetBrains
* Visual Studio
* Eclipse IDE Plugins
* Visual Studio Code Plugin
* Stencils
* Inspector
 
The Ext JS Trial version is valid for 30-days. If you need any help with the product trial [contact us](https://www.sencha.com/company/contact/). Ready to use the product for your commercial project? Check out the [product pricing](https://www.sencha.com/store/extjs/#perpetual) and licensing details. 

## Licensing
Sencha Ext JS - JavaScript Library
Copyright (c) 2006-2020, Sencha Inc.
All rights reserved.
licensing@sencha.com
 
options: http://www.sencha.com/license
license: http://www.sencha.com/legal/sencha-software-license-agreement
 
Evaluation/Trial License
------------------------------------------------------------------------------------------
This version of Sencha Ext JS is licensed commercially for a limited period for evaluation purposes only. Production use or use beyond the applicable evaluation period is prohibited under this license.
See http://www.sencha.com/legal/sencha-sdk-software-license-agreement (Trial License) for license terms.

See the included license.txt in the package for additional information.

 





